Subject: Re: /var/log/wtmp problem
From: Jurgen Defurne <[email-masked]>
To: René Berber <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Sep 2005 10:13:49 +0200

Do you happen to know from which package 'last' is part ?

I will need to build this program myself, because I am unable
to upgrade my Cygwin environment and install the package
(due to operational constraints).

Thanks for the info,

Jurgen.

René Berber <[email-masked]> 
Sent by:
[email-masked]
2005-09-12 09:15 AM

To
[email-masked]
cc

Subject
Re: /var/log/wtmp problem
Classification

Jurgen Defurne wrote:
> Hello,
> 
> Can someone explain for what /var/log/wtmp is used ?
> 
> It seems that this file grows very quickly in our Cygwin environment, 
and 
> I
> want to find out which programs write to this file. /var/log/wtmp gets
> an update almost every two seconds here.
> 
> We do not use very much programs, I think this covers the complete
> list :
> - screen (no reference to wtmp found in info)
> - bash (standard shell)
> - Perl (background programs/ exec ?)
> - ssh
> - rxvt
> - watch

You can find some info about it in man last:

NAME
       last, lastb - show listing of last logged in users

SYNOPSIS
       last [-R] [-num] [ -n num ] [-adiox] [ -f file ] [name...] [tty...]
       lastb [-R] [-num] [ -n num ] [ -f file ] [-adiox] [name...] 
[tty...]

DESCRIPTION
       Last  searches  back through the file /var/log/wtmp (or the file 
desig-
       nated by the -f flag) and displays a list of all users logged  in 
(and
       out)  since  that  file  was  created.  Names of users and tty's 
can be
       given, in which case last will show only  those  entries  matching 
the
       arguments.   Names  of ttys can be abbreviated, thus last 0 is the 
same
       as last tty0.
...

If your wtmp is growing that much you have a problem I haven't seen, take 
a look
at the output of "last | head" .

HTH
-- 
René Berber

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/